# QLocalServer Class Reference

### [com.trolltech.qt.network package]

Inherits QObject.

### Constructor

- void QLocalServer(QObject parent)

### Constructor Properties

- prototype: The QLocalServer prototype object
- bool removeServer(String name)

### Prototype Object Properties

The QLocalServer prototype object inherits properties from the QObject prototype object and also has the following properties.

- void close()
- String errorString()
- String fullServerName()
- bool hasPendingConnections()
- bool isListening()
- bool listen(String name)
- int maxPendingConnections()
- QLocalSocket nextPendingConnection()
- SocketError serverError()
- String serverName()
- void setMaxPendingConnections(int numConnections)
- bool waitForNewConnection(int msec)

### Instance Properties

QLocalServer objects have no special properties beyond those inherited from the QLocalServer prototype object.